Bug 178849

Summary: [MAINTAINER] graphics/pstoedit: update to 3.62
Product: Ports & Packages Reporter: nemysis <nemysis>
Component: Individual Port(s)Assignee: Beech Rintoul <beech>
Status: Closed FIXED    
Severity: Affects Only Me CC: miwi
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
pstoedit-3.62.patch none

Description nemysis 2013-05-22 23:40:00 UTC
- Update to 3.62
- Remove DOCS EXAMPLES Options
- Fix docs and examples
- Trim files/patch-configure
- Trim pkg-plist

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-05-22 23:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-06-08 03:29:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-06-08 03:29:24 UTC
Author: miwi
Date: Sat Jun  8 02:29:10 2013
New Revision: 320233
URL: http://svnweb.freebsd.org/changeset/ports/320233

Log:
  - Update to 3.62
  
  PR:		178849
  Submitted by:	maintainer

Modified:
  head/graphics/pstoedit/Makefile
  head/graphics/pstoedit/distinfo   (contents, props changed)
  head/graphics/pstoedit/files/patch-configure
  head/graphics/pstoedit/pkg-plist

Modified: head/graphics/pstoedit/Makefile
==============================================================================
--- head/graphics/pstoedit/Makefile	Sat Jun  8 02:28:17 2013	(r320232)
+++ head/graphics/pstoedit/Makefile	Sat Jun  8 02:29:10 2013	(r320233)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	pstoedit
-PORTVERSION=	3.61
-PORTREVISION=	2
+PORTVERSION=	3.62
 CATEGORIES=	graphics print
 MASTER_SITES=	SF
 
@@ -14,13 +13,13 @@ LICENSE=	GPLv2
 
 LIB_DEPENDS=	gd:${PORTSDIR}/graphics/gd
 
-OPTIONS_DEFINE=	MAGICK EMF MING PLOTUTILS DOCS EXAMPLES
+OPTIONS_DEFINE=	MAGICK EMF MING PLOTUTILS
 OPTIONS_DEFAULT=	MAGICK EMF PLOTUTILS
 EMF_DESC=	Enable emf interface
 MING_DESC=	Enable swf interface
 PLOTUTILS_DESC=	Enable libplot interface
 
-USES=	pathfix pkgconfig
+USES=		pathfix pkgconfig
 USE_GHOSTSCRIPT=	yes
 USE_AUTOTOOLS=	libtool
 USE_LDCONFIG=	yes
@@ -31,13 +30,10 @@ LDFLAGS+=	-L${LOCALBASE}/lib
 
 MAN1=		pstoedit.1
 
-.include <bsd.port.options.mk>
+PORTDOCS=	*
+PORTEXAMPLES=	*
 
-.if ${PORT_OPTIONS:MDOCS}
-PLIST_SUB+=	PORTDOCS=""
-.else
-PLIST_SUB+=	PORTDOCS="@comment "
-.endif
+.include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MMAGICK}
 LIB_DEPENDS+=	Magick++:${PORTSDIR}/graphics/ImageMagick

Modified: head/graphics/pstoedit/distinfo
==============================================================================
--- head/graphics/pstoedit/distinfo	Sat Jun  8 02:28:17 2013	(r320232)
+++ head/graphics/pstoedit/distinfo	Sat Jun  8 02:29:10 2013	(r320233)
@@ -1,2 +1,2 @@
-SHA256 (pstoedit-3.61.tar.gz) = e9935f5510fc5a3227bd31a74e88911f02a4c8516f3e0fe9fbc0dc780f2460db
-SIZE (pstoedit-3.61.tar.gz) = 989480
+SHA256 (pstoedit-3.62.tar.gz) = 8074c44637d48fa1a9253b263b18a61258bab904df473f803d8a639b6a038148
+SIZE (pstoedit-3.62.tar.gz) = 1013477

Modified: head/graphics/pstoedit/files/patch-configure
==============================================================================
--- head/graphics/pstoedit/files/patch-configure	Sat Jun  8 02:28:17 2013	(r320232)
+++ head/graphics/pstoedit/files/patch-configure	Sat Jun  8 02:29:10 2013	(r320233)
@@ -1,10 +1,10 @@
---- configure.orig	2012-08-28 12:49:37.000000000 +0200
-+++ configure	2013-03-11 00:33:46.000000000 +0100
-@@ -16274,6 +16274,7 @@
- cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+--- configure.orig	2013-04-28 20:20:53.000000000 +0200
++++ configure	2013-05-23 00:23:30.000000000 +0200
+@@ -8167,6 +8167,7 @@
+   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
  /* end confdefs.h.  */
  #include <stdlib.h>
 +#include <unistd.h>
- 		 char buffer[] = "aaaXXXXXX";
- 	 	 int i = mkstemp(buffer);
- int
+ #include <stdarg.h>
+ #include <string.h>
+ #include <float.h>

Modified: head/graphics/pstoedit/pkg-plist
==============================================================================
--- head/graphics/pstoedit/pkg-plist	Sat Jun  8 02:28:17 2013	(r320232)
+++ head/graphics/pstoedit/pkg-plist	Sat Jun  8 02:29:10 2013	(r320233)
@@ -39,27 +39,6 @@ lib/pstoedit/libp2edrvstd.so.0
 %%EMF%%lib/pstoedit/libp2edrvwmf.so.0
 libdata/pkgconfig/pstoedit.pc
 share/aclocal/pstoedit.m4
-%%PORTDOCS%%%%DOCSDIR%%/changelog.htm
-%%PORTDOCS%%%%DOCSDIR%%/index.htm
-%%PORTDOCS%%%%DOCSDIR%%/pstoedit.htm
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/cliptst2.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/closepathtest.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/colrtest.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/eofill.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/eschertr.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/figtext.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/illusion.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/imagetest_1.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/imagetest_2.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/imagetest_3.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/largetextspace.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/letters.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/oneimg.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/pathtest.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/spiral.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/textmat.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/twopages.ps
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/woglim.ps
 %%DATADIR%%/drvhpgl.pencolors
 %%DATADIR%%/examplefigmap.fmp
 %%DATADIR%%/latex2e.fmp
@@ -67,10 +46,10 @@ share/aclocal/pstoedit.m4
 %%DATADIR%%/safer.ps
 %%DATADIR%%/svg.fmp
 %%DATADIR%%/swffonts/default.fdb
+%%DATADIR%%/unix.fmp
 %%DATADIR%%/wemf.fmp
+%%DATADIR%%/windows.fmp
 @dirrm %%DATADIR%%/swffonts
 @dirrm %%DATADIR%%
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm lib/pstoedit
 @dirrm include/pstoedit
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"